Page MenuHomePhabricator

Special:CentralLogin/complete is blank after logging in on mediawiki-vagrant
Closed, InvalidPublic

Description

After logging in, I'm directed to a blank page at http://dev.wiki.local.wmftest.net:8080/wiki/Special:CentralLogin/complete?token=***. There is no redirect after this and no error on the page, network stack, or JS console.

I can consistently reproduce this on latest MediaWiki + CentralAuth. Unmodified MediaWiki-Vagrant with roles visualeditor, flow, mobilefrontend, navigationtiming.

Debug log:

1$ cat ../logs/mediawiki-wiki-debug.log | grep 3ba61c10be9d79dd761e35764e82fce2 -A100
2Start request GET /wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2
3HTTP HEADERS:
4COOKIE: wiki_session=11uorpgppsfnrlh43ashrsj7l8erp6d7; wikiUserID=1; wikiUserName=Admin; centralauth_User=Admin; centralauth_Token=a300b0e5112eea6b4996a1e6fb8bd1ae; centralauth_Session=0d948cf7211cdf10effc07cd19087be0
5ACCEPT-LANGUAGE: en
6CONNECTION: keep-alive
7AUTHORIZATION:
8CONTENT-LENGTH:
9HOST: dev.wiki.local.wmftest.net:8080
10ACCEPT: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
11UPGRADE-INSECURE-REQUESTS: 1
12CONTENT-TYPE:
13CACHE-CONTROL: max-age=0
14REFERER: http://dev.wiki.local.wmftest.net:8080/w/index.php?title=Special:UserLogin&returnto=Main+Page
15ACCEPT-ENCODING: gzip, deflate, sdch
16USER-AGENT: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.94 Safari/537.36
17[caches] cluster: RedisBagOStuff, WAN: mediawiki-main-default, stash: redis, message: RedisBagOStuff, parser: RedisBagOStuff
18[caches] LocalisationCache: using store LCStoreCDB
19[authentication] Overriding AuthManager primary authn because $wgAuth is CentralAuthPlugin
20[CentralAuthVerbose] Loading CentralAuthUser for user Admin from cache object
21IP: 10.0.2.2
22[connect] Connected to database 0 at 127.0.0.1
23[queries] wiki: BEGIN /* DatabaseBase::query (User::idFromName) */
24[queries] wiki: SELECT /* User::idFromName */ user_id FROM `user` WHERE user_name = 'Admin' LIMIT 1
25MWCryptHash::hashAlgo: Using the whirlpool hash algorithm.
26[session] CentralAuthSessionProvider::provideSessionInfo: logged in from cookies
27[MessageCache] MessageCache::load: Loading en... local cache is empty, got from global cache
28User: got user 1 from cache
29Fully initialised
30User: loading options for user 1 from override cache.
31[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): User->getId/User->load/User->loadFromSession/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
32[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): User->getId/User->load/User->loadFromSession/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
33[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): User->getId/User->load/User->loadFromSession/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
34User: loading options for user 1 from override cache.
35Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
36Parser: using preprocessor: Preprocessor_Hash
37Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->__construct
38[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
39User: got user 1 from cache
40[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" metadata dirty due to user change
41[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): SpecialCentralLogin->execute/SpecialCentralLogin->doLoginComplete/CentralAuthUtils::setCentralSession/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
42User: got user 1 from cache
43[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=1 forcePersist=0
44[cookie] setcookie: "wiki_session", "11uorpgppsfnrlh43ashrsj7l8erp6d7", "0", "/", "", "", "1"
45[cookie] setcookie: "wikiUserID", "1", "1479325272", "/", "", "", "1"
46[cookie] setcookie: "wikiUserName", "Admin", "1479325272", "/", "", "", "1"
47[cookie] already deleted setcookie: "wikiToken", "", "1432237272", "/", "", "", "1"
48[cookie] already deleted setcookie: "forceHTTPS", "", "1432237272", "/", "", "", "1"
49[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): ScopedCallback->__destruct/Closure$MediaWiki\Session\SessionBackend::delaySave/MediaWiki\Session\SessionBackend->save/CentralAuthSessionProvider->persistSession/MediaWiki\Session\SessionBackend->dirty
50[cookie] setcookie: "centralauth_User", "Admin", "1479325272", "/", "", "", "1"
51[cookie] setcookie: "centralauth_Token", "a300b0e5112eea6b4996a1e6fb8bd1ae", "1479325272", "/", "", "", "1"
52[cookie] setcookie: "centralauth_Session", "3985dcef0d547f82186978a6ca248530", "0", "/", "", "", "1"
53[cookie] already set setcookie: "wiki_session", "11uorpgppsfnrlh43ashrsj7l8erp6d7", "0", "/", "", "", "1"
54[cookie] already set setcookie: "wikiUserID", "1", "1479325272", "/", "", "", "1"
55[cookie] already set setcookie: "wikiUserName", "Admin", "1479325272", "/", "", "", "1"
56[cookie] already deleted setcookie: "wikiToken", "", "1432237272", "/", "", "", "1"
57[cookie] already deleted setcookie: "forceHTTPS", "", "1432237272", "/", "", "", "1"
58[cookie] already set setcookie: "centralauth_User", "Admin", "1479325272", "/", "", "", "1"
59[cookie] already set setcookie: "centralauth_Token", "a300b0e5112eea6b4996a1e6fb8bd1ae", "1479325272", "/", "", "", "1"
60[cookie] already set setcookie: "centralauth_Session", "3985dcef0d547f82186978a6ca248530", "0", "/", "", "", "1"
61[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): SpecialCentralLogin->execute/SpecialCentralLogin->doLoginComplete/WebRequest->setSessionData/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
62[error] [24cef9c25a5f3869608920b6] /wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2 ErrorException from line 309 of /vagrant/mediawiki/includes/debug/MWDebug.php: PHP Deprecated: Use of LoginForm was deprecated in MediaWiki 1.27. [Called from LoginForm::__construct in /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php at line 1330]
63#0 /vagrant/mediawiki/includes/debug/MWDebug.php(309): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
64#1 /vagrant/mediawiki/includes/debug/MWDebug.php(242): MWDebug::sendMessage(string, array, string, integer)
65#2 /vagrant/mediawiki/includes/GlobalFunctions.php(1127): MWDebug::deprecated(string, string, string, integer)
66#3 /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php(1545): wfDeprecated(string, string)
67#4 /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php(1330): LoginFormAuthManager->__construct(FauxRequest)
68#5 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(233): LoginForm->__construct(FauxRequest)
69#6 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(48): SpecialCentralLogin->doLoginComplete(string)
70#7 /vagrant/mediawiki/includes/specialpage/SpecialPage.php(479): SpecialCentralLogin->execute(string)
71#8 /vagrant/mediawiki/includes/specialpage/SpecialPageFactory.php(591): SpecialPage->run(string)
72#9 /vagrant/mediawiki/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
73#10 /vagrant/mediawiki/includes/MediaWiki.php(746): MediaWiki->performRequest()
74#11 /vagrant/mediawiki/includes/MediaWiki.php(520): MediaWiki->main()
75#12 /vagrant/mediawiki/index.php(43): MediaWiki->run()
76#13 /var/www/w/index.php(5): include(string)
77#14 {main}
78[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
79[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): SpecialCentralLogin->execute/SpecialCentralLogin->doLoginComplete/WebRequest->setSessionData/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
80[error] [24cef9c25a5f3869608920b6] /wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2 ErrorException from line 1345 of /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php: PHP Warning: Invalid argument: function: method 'showReturnToPage' not found
81#0 /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php(1345): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
82#1 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(274): LoginForm->__call(string, array)
83#2 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(48): SpecialCentralLogin->doLoginComplete(string)
84#3 /vagrant/mediawiki/includes/specialpage/SpecialPage.php(479): SpecialCentralLogin->execute(string)
85#4 /vagrant/mediawiki/includes/specialpage/SpecialPageFactory.php(591): SpecialPage->run(string)
86#5 /vagrant/mediawiki/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
87#6 /vagrant/mediawiki/includes/MediaWiki.php(746): MediaWiki->performRequest()
88#7 /vagrant/mediawiki/includes/MediaWiki.php(520): MediaWiki->main()
89#8 /vagrant/mediawiki/index.php(43): MediaWiki->run()
90#9 /var/www/w/index.php(5): include(string)
91#10 {main}
92MediaWiki::preOutputCommit: all transactions committed
93MediaWiki::preOutputCommit: pre-send deferred updates completed
94[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
95User: loading options for user 1 from override cache.
96[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): Hooks::run/CentralAuthHooks::onBeforePageDisplay/WebRequest->setSessionData/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
97[queries] wiki: SELECT /* LinkBatch::doQuery (for Skin::preloadExistence) Admin */ page_id,page_len,page_is_redirect,page_latest,page_content_model,page_namespace,page_title FROM `page` WHERE (page_namespace = '2' AND page_title = 'Admin') OR (page_namespace = '3' AND page_title = 'Admin')
98[queries] wiki: SELECT /* User::checkNewtalk Admin */ user_id FROM `user_newtalk` WHERE user_id = '1' LIMIT 1
99[connect] Connected to database 0 at 127.0.0.1
100[queries] wiki: SELECT /* SqlBagOStuff::getMulti Admin */ keyname,value,exptime FROM `objectcache` WHERE keyname = 'wiki:echo:seen:alert:time:1'
101[queries] wiki: SELECT /* SqlBagOStuff::getMulti Admin */ keyname,value,exptime FROM `objectcache` WHERE keyname = 'wiki:echo:seen:message:time:1'
102User: got user 1 from cache
103User: loading options for user 1 from override cache.
104User: got user 1 from cache
105[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
106MWCryptRand::realGenerate: Generating cryptographic random bytes for MediaWiki\Session\Session->getToken/MWCryptRand::generateHex/MWCryptRand->realGenerateHex/MWCryptRand::generate/MWCryptRand->realGenerate
107MWCryptRand::realGenerate: mcrypt_create_iv generated 16 bytes of randomness.
108MWCryptRand::realGenerate: 0 bytes of randomness leftover in the buffer.
109[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): User->getEditToken/User->getEditTokenObject/MediaWiki\Session\Session->getToken/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
110[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
111User: got user 1 from cache
112User: loading options for user 1 from override cache.
113OutputPage::sendCacheControl: private caching; **
114[session] Saving all sessions on shutdown
115Request ended normally
116[redis] Creating a new RedisConnectionPool instance with id d70d28fd70891a6f32c19060fdf71767aaa0c97e.
117Start request GET /wiki/Special:CentralAutoLogin/start?type=1x1&from=wiki
118HTTP HEADERS:
119COOKIE: wiki_session=11uorpgppsfnrlh43ashrsj7l8erp6d7; wikiUserID=1; wikiUserName=Admin; centralauth_User=Admin; centralauth_Token=a300b0e5112eea6b4996a1e6fb8bd1ae; centralauth_Session=3985dcef0d547f82186978a6ca248530
120ACCEPT: image/webp,image/*,*/*;q=0.8
121CONTENT-TYPE:
122ACCEPT-LANGUAGE: en
123CONNECTION: keep-alive
124AUTHORIZATION:
125CONTENT-LENGTH:
126HOST: dev.wiki.local.wmftest.net:8080
127REFERER: http://dev.wiki.local.wmftest.net:8080/wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2
128ACCEPT-ENCODING: gzip, deflate, sdch
129USER-AGENT: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.94 Safari/537.36
130[caches] cluster: RedisBagOStuff, WAN: mediawiki-main-default, stash: redis, message: RedisBagOStuff, parser: RedisBagOStuff
131[caches] LocalisationCache: using store LCStoreCDB
132[authentication] Overriding AuthManager primary authn because $wgAuth is CentralAuthPlugin
133[CentralAuthVerbose] Loading CentralAuthUser for user Admin from cache object
134IP: 10.0.2.2
135[connect] Connected to database 0 at 127.0.0.1
136[queries] wiki: BEGIN /* DatabaseBase::query (User::idFromName) */
137[queries] wiki: SELECT /* User::idFromName */ user_id FROM `user` WHERE user_name = 'Admin' LIMIT 1
138MWCryptHash::hashAlgo: Using the whirlpool hash algorithm.
139[session] CentralAuthSessionProvider::provideSessionInfo: logged in from cookies
140[MessageCache] MessageCache::load: Loading en... local cache is empty, got from global cache
141User: got user 1 from cache
142Fully initialised
143User: loading options for user 1 from override cache.
144[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): User->getId/User->load/User->loadFromSession/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
145User: loading options for user 1 from override cache.
146[authmanager] Autologin start
147MediaWiki::preOutputCommit: all transactions committed
148MediaWiki::preOutputCommit: pre-send deferred updates completed
149Unstubbing $wgLang on call of $wgLang::hasVariants from OutputPage->sendCacheControl
150OutputPage::sendCacheControl: private caching; **
151[session] Saving all sessions on shutdown
152[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
153Request ended normally

Start request GET /wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2
REFERER: http://dev.wiki.local.wmftest.net:8080/w/index.php?title=Special:UserLogin&returnto=Main+Page
...
[authentication] Overriding AuthManager primary authn because $wgAuth is CentralAuthPlugin
..
[session] CentralAuthSessionProvider::provideSessionInfo: logged in from cookies
..
Fully initialised
..
[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): User->getId/User->load/User->loadFromSession/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): User->getId/User->load/User->loadFromSession/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
..
[cookie] setcookie: "centralauth_User", "Admin", "1479325272", "/", "", "", "1"
[cookie] already set setcookie: "wiki_session", "11uorpgppsfnrlh43ashrsj7l8erp6d7", "0", "/", "", "", "1"
[cookie] already deleted setcookie: "wikiToken", "", "1432237272", "/", "", "", "1"
[cookie] already set setcookie: "centralauth_User", "Admin", "1479325272", "/", "", "", "1"
..
[error] [24cef9c25a5f3869608920b6] /wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2   ErrorException from line 309 of /vagrant/mediawiki/includes/debug/MWDebug.php: PHP Deprecated: Use of LoginForm was deprecated in MediaWiki 1.27. [Called from LoginForm::__construct in /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php at line 1330]
#0 /vagrant/mediawiki/includes/debug/MWDebug.php(309): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /vagrant/mediawiki/includes/debug/MWDebug.php(242): MWDebug::sendMessage(string, array, string, integer)
#2 /vagrant/mediawiki/includes/GlobalFunctions.php(1127): MWDebug::deprecated(string, string, string, integer)
#3 /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php(1545): wfDeprecated(string, string)
#4 /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php(1330): LoginFormAuthManager->__construct(FauxRequest)
#5 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(233): LoginForm->__construct(FauxRequest)
#6 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(48): SpecialCentralLogin->doLoginComplete(string)
#7 /vagrant/mediawiki/includes/specialpage/SpecialPage.php(479): SpecialCentralLogin->execute(string)
#8 /vagrant/mediawiki/includes/specialpage/SpecialPageFactory.php(591): SpecialPage->run(string)
#9 /vagrant/mediawiki/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
#10 /vagrant/mediawiki/includes/MediaWiki.php(746): MediaWiki->performRequest()
#11 /vagrant/mediawiki/includes/MediaWiki.php(520): MediaWiki->main()
#12 /vagrant/mediawiki/index.php(43): MediaWiki->run()
#13 /var/www/w/index.php(5): include(string)
#14 {main}
[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): SpecialCentralLogin->execute/SpecialCentralLogin->doLoginComplete/WebRequest->setSessionData/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
[error] [24cef9c25a5f3869608920b6] /wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2   ErrorException from line 1345 of /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php: PHP Warning: Invalid argument: function: method 'showReturnToPage' not found
#0 /vagrant/mediawiki/includes/specialpage/LoginSignupSpecialPage.php(1345): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(274): LoginForm->__call(string, array)
#2 /vagrant/mediawiki/extensions/CentralAuth/includes/specials/SpecialCentralLogin.php(48): SpecialCentralLogin->doLoginComplete(string)
#3 /vagrant/mediawiki/includes/specialpage/SpecialPage.php(479): SpecialCentralLogin->execute(string)
#4 /vagrant/mediawiki/includes/specialpage/SpecialPageFactory.php(591): SpecialPage->run(string)
#5 /vagrant/mediawiki/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
#6 /vagrant/mediawiki/includes/MediaWiki.php(746): MediaWiki->performRequest()
#7 /vagrant/mediawiki/includes/MediaWiki.php(520): MediaWiki->main()
#8 /vagrant/mediawiki/index.php(43): MediaWiki->run()
#9 /var/www/w/index.php(5): include(string)
#10 {main}
MediaWiki::preOutputCommit: all transactions committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" save: dataDirty=1 metaDirty=0 forcePersist=0
User: loading options for user 1 from override cache.
[session] SessionBackend "11uorpgppsfnrlh43ashrsj7l8erp6d7" data dirty due to dirty(): Hooks::run/CentralAuthHooks::onBeforePageDisplay/WebRequest->setSessionData/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty

..
Start request GET /wiki/Special:CentralAutoLogin/start?type=1x1&from=wiki
REFERER: http://dev.wiki.local.wmftest.net:8080/wiki/Special:CentralLogin/complete?token=3ba61c10be9d79dd761e35764e82fce2

Related Objects

Event Timeline

Krinkle created this task.May 20 2016, 7:47 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 20 2016, 7:47 PM
bd808 added a subscriber: bd808.Jul 9 2016, 9:37 PM

@Krinkle is this still reproducible for you?

Sau226 renamed this task from Special:CentralLogin/complete is blank after logging in on mediawik-vagrant to Special:CentralLogin/complete is blank after logging in on mediawiki-vagrant.Mar 1 2018, 5:53 PM
Krinkle closed this task as Invalid.Mar 3 2018, 1:30 AM